6.0.0-git
2021-01-18

[#4955] account.php uses bare authentication name
Summary account.php uses bare authentication name
Queue Horde Base
Queue Version 3.1.3
Type Bug
State Resolved
Priority 1. Low
Owners
Requester robb (at) wtg (dot) cw (dot) com
Created 2007-01-31 (5101 days ago)
Due
Updated 2007-02-02 (5099 days ago)
Assigned
Resolved 2007-02-02 (5099 days ago)
Milestone
Patch No

History
2007-02-02 10:16:44 Jan Schneider Comment #4
State ⇒ Resolved
Reply to this comment
I moved the code from the Kolab to the LDAP driver so that both can 
take advantage of it.
2007-01-31 11:30:03 robb (at) wtg (dot) cw (dot) com Comment #3 Reply to this comment
fixed in head, please disregard
the strip option should probably be applicable to the 
Accounts_Driver_ldap and  Accounts_Driver_kolab functions
2007-01-31 11:25:15 robb (at) wtg (dot) cw (dot) com Comment #2 Reply to this comment
fixed in head, please disregard
2007-01-31 11:16:13 robb (at) wtg (dot) cw (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ account.php uses bare authentication name
Queue ⇒ Horde Base
Reply to this comment
function getUsername() in horde/lib/Block/account.php only returns 
username with the realm removed, this is not necessarily correct and 
should be configurable.

Saved Queries